#include "widget.h"
#include "ui_widget.h"
#include "donfedejugador.h"


Widget::Widget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::Widget)
{
    ui->setupUi(this);

    scene = new Scene(this);
    scene->setSceneRect(-400,-300,800,600);

    scene->setStartScreen();
    //scene->setTutorial();

    //scene->addLine(-540,0,540,0,QPen(Qt::blue));
    //scene->addLine(0,-360,0,360,QPen(Qt::blue));

    ui->graphicsView->setScene(scene);
}

Widget::~Widget()
{
    delete ui;
    delete scene;
}
